import request from '@/utils/request'

// 获取查获接口列表
export function getSeizureRecordList(params = {}) {
  return request({
    url: '/item/record/list',
    method: 'get',
    params
  });
}


// 获取查获接口列表
export function addSeizureRecord(data) {
  return request({
    url: '/item/record/add',
    method: 'post',
    data: data
  })
}

//根据id查询上报的详细信息
export function getInfo(id) {
  return request({
    url: `/item/record/${id}`,   //  反引号
    method: 'get'
  })
}


//提交上报
export function approvalStart (params) {
  return request({
    url: '/system/approval/start/seizure',
    method: 'post',
    data: params
  });
}